Skip to Content
Booking

List promo code redemptions

Toegang

Lid van de organisatie met minstens één van deze rechten:

  • organization:settings:read
  • organization:settings:write

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

GET
/orgs/{organizationId}/booking/promo-codes/{id}/redemptions

The reservations that used a code, newest first.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

id*string

Response Body

OK

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.tillor.eu/orgs//booking/promo-codes/string/redemptions'
Example Response
[  {    "id": "string",    "reservationId": "string",    "reservationDisplayId": "string",    "bookingReference": "string",    "reservationStatus": "REQUESTED",    "checkIn": "string",    "customerId": "string",    "customerName": "string",    "discount": 0,    "createdAt": "2019-08-24T14:15:22Z"  }]